Bug 155191 - imac 333 doesn't properly detect snd-powermac
imac 333 doesn't properly detect snd-powermac
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2005-04-17 17:45 EDT by Clinton Goudie-Nice
Modified: 2009-07-14 13:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 13:01:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Clinton Goudie-Nice 2005-04-17 17:45:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322)

Description of problem:
On the imac 333, the soundcard isnt properly detected. I'm guessing this is similar for numerous other Mac machines.

by running a modprobe snd-powermac I was able to start the soundcard on the box, however it's worth noting that doing so also opens up the mic channel, which is close enough on this box to wind up a painful feedback loop (ouch). Should you want to try this. make sure you're already booted into X so you can quickly start the volume control app and mute the mic :D

here's an lspci for the box
00:00.0 Host bridge: Motorola MPC106 [Grackle] (rev 40)
00:10.0 Class ff00: Apple Computer Inc. Paddington Mac I/O
00:12.0 VGA compatible controller: ATI Technologies Inc 3D Rage Pro 215GP (rev 5
00:14.0 USB Controller: OPTi Inc. 82C861 (rev 10)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. install fc4test2 on a ppc imac 333
2. No sound detected.

Additional info:
Comment 1 Bill Nottingham 2005-04-18 11:37:16 EDT
Does the feedback persits if you:

a) remove /etc/asound.state
b) move /etc/dev.d/sound/alsa.dev out of the way?

What does 'kudzu -p -b macio' say?
Comment 2 Clinton Goudie-Nice 2005-04-19 01:37:14 EDT
> Does the feedback persits if you:
> a) remove /etc/asound.state
> b) move /etc/dev.d/sound/alsa.dev out of the way?

To tell you the truth, as soon as I muted it it went away. It was just a note I 
left there for whomever fixes the detection to make sure and mute the mic if 
you find the device ;)

it says:

[root@adrastea ~]# kudzu -p -b macio
class: NETWORK
bus: MACIO
detached: 0
device: eth0
driver: bmac
desc: "Apple Computer Inc.|BMAC/BMAC+"
class: AUDIO
bus: MACIO
detached: 0
driver: snd_powermac
desc: "Apple Computer Inc.|PowerMac Sound"

Although I've now added 'alias snd-card-0 snd-powermac' to 
my /etc/modprobe.conf Do you need me to undo this and restart the box for a 
clean check to fix this bug?
Comment 3 Bill Nottingham 2005-04-19 11:03:05 EDT
Actually, this matches another bug.

*** This bug has been marked as a duplicate of 151591 ***
Comment 4 Clinton Goudie-Nice 2008-05-19 13:37:22 EDT
This problem has resurfaced in Fedora 9
Comment 5 Bill Nottingham 2008-05-19 16:08:03 EDT
Assigning to kernel - kudzu is not involved with this in Fedora 9.
Comment 6 Bug Zapper 2009-06-09 18:01:04 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 7 Bug Zapper 2009-07-14 13:01:14 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.